Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232154 - Can't update i386 packages on x86_64 - gnome-panel and elfutils-libelf
Summary: Can't update i386 packages on x86_64 - gnome-panel and elfutils-libelf
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-14 00:07 UTC by Dave Atkinson
Modified: 2014-01-21 22:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-23 15:47:16 UTC


Attachments (Terms of Use)

Description Dave Atkinson 2007-03-14 00:07:40 UTC
Description of problem:
I have just (re-)installed fc6 on an x86_64 and applied all the updates. I can 
 For a number of packages I get a complaint that the package has files that
conflict with a newer version of itself.  As most of these where -devel packages
that I had no reason to have installed anyway, I deleted them.  But two remain -
gnome-panel.i386 and elfutils-libelf.i386.   It seems as though I have two
versions installed for yum gnome-panel and elfutils-libelf.

Version-Release number of selected component (if applicable):
yum-3.0-6
yum-3.0.3-1.fc6
elfutils-libelf-0.123-1.fc6
elfutils-libelf-0.123-1.fc6
elfutils-libelf-0.126-1.fc6
gnome-panel-2.16.0-4.fc6
gnome-panel-2.16.0-4.fc6
gnome-panel-2.16.3-2.fc6

How reproducible:
Don't know, have not attempted another re-install.

Steps to Reproduce:
1. Install fc6 from DVD
2. Run yum update
  
Actual results:
gnome-panel and elfutils-libelf will not upgrade do to dependancy conflicts

Expected results:
gnome-panel and elfutils-libelf should upgrade correctly

Additional info:

Comment 1 Jeremy Katz 2007-03-19 22:01:43 UTC
Did you have a failed update run in there?  As you have multiple versions of
packages installed which isn't normal.

Comment 2 Dave Atkinson 2007-03-21 21:05:16 UTC
To be honest, I cannot now remember, sorry.  It's possible, but I didn't think
so.  I did also discover that I had numerous multiple packages for all sorts of
things, which I have manually removed, and have had no further problems.  As I
am no longer able to repeat the problem, I suppose you can close the bug -
manual removal seems to be the fix.  Thanks for your help.


Note You need to log in before you can comment on or make changes to this bug.